### Hierarchy

- unknown
  - GetMyOffersRequest

## Index

### Constructors

- constructor

### Methods

- getCurrencyCode
- getDirection
- serializeBinary
- setCurrencyCode
- setDirection
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetMyOffersRequest(): GetMyOffersRequest

- Inherited from jspb.Message.constructor

  #### Returns GetMyOffersRequest

## Methods

### getCurrencyCode

- getCurrencyCode(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1431

  #### Returns string

### getDirection

- getDirection(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1428

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1434

  #### Returns Uint8Array

### setCurrencyCode

- setCurrencyCode(value: string): GetMyOffersRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1432

  #### Parameters

  - ##### value: string

  #### Returns GetMyOffersRequest

### setDirection

- setDirection(value: string): GetMyOffersRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1429

  #### Parameters

  - ##### value: string

  #### Returns GetMyOffersRequest

### toObject

- toObject(includeInstance?: boolean): GetMyOffersRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1435

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetMyOffersRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetMyOffersRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1438

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetMyOffersRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetMyOffersRequest, reader: BinaryReader): GetMyOffersRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1439

  #### Parameters

  - ##### message: GetMyOffersRequest

  - ##### reader: BinaryReader

  #### Returns GetMyOffersRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetMyOffersRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1437

  #### Parameters

  - ##### message: GetMyOffersRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetMyOffersRequest ): GetMyOffersRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1436

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetMyOffersRequest

  #### Returns GetMyOffersRequest . AsObject

Generated using TypeDoc